GET /{domain}
Operation ID: searchDomain
Auth: none
Description
Search for entries within a specific domain (database). Returns search results with hit count, entries, and available facets for filtering.
Parameters (9)
(string, path, required)
The domain to search. Use 'allebi' for all databases, or specific domains like 'uniprot', 'ensembl', 'chembl-molecule', 'pdbe', 'rnacentral', 'europepmc', etc.
Constraints: {'enum': ['allebi', 'uniprot', 'uniref', 'uniref100', 'uniref90', 'uniref50', 'uniparc', 'ensembl', 'ensembl_gene', 'ensemblGenomes', 'ensemblGenomes_gene', 'dgva', 'ega', 'hgnc', 'embl', 'emblstandard', 'sra', 'sra-study', 'sra-sample', 'sra-run', 'sra-experiment', 'coding', 'coding_std', 'gwas_catalog', 'rfam', 'rnacentral', 'rnacentral-litscan', 'alphafold', 'emdb', 'pdbe', 'pdbekb', 'chebi', 'chembl', 'chembl-assay', 'chembl-molecule', 'chembl-target', 'chembl-document', 'metabolights', 'atlas-experiments', 'atlas-genes', 'atlas-genes-differential', 'biostudies-arrayexpress', 'geo', 'omim', 'varsite', 'complex-portal', 'intact', 'intact-interactions', 'opentargets', 'reactome', 'biomodels', 'interpro7', 'interpro7_domain', 'interpro7_family', 'pfam', 'pfam_entries', 'treefam', 'merops', 'pride', 'jpost', 'peptide_atlas', 'massive', 'intenz', 'europepmc', 'biostudies-literature', 'patentFamilies', 'biosamples', 'cellosaurus', 'efo', 'go', 'mesh', 'ols', 'taxonomy', 'biotools', 'ebiweb', 'cancer_models', 'empiar', 'bioimages', 'biostudies-other']}
(integer, query, optional)
Number of facet values to return per facet (enables faceted search)
Constraints: {'minimum': 1}
(string, query, optional)
Comma-separated list of fields to return for each entry. If not specified, only basic fields (id, acc, source) are returned. Available fields vary by domain.
(string, query, optional, default: xml)
Response format
Constraints: {'enum': ['xml', 'json', 'csv', 'tsv', 'idlist', 'acclist']}
(string, query, required)
Search query using Apache Lucene syntax. Supports field-specific searches (e.g., 'id:BRCA1_HUMAN'), boolean operators (AND, OR, NOT), wildcards (*, ?), and phrase searches with quotes.
(integer, query, optional, default: 15)
Number of results to return per page (default: 15, max: 100)
Constraints: {'minimum': 1, 'maximum': 100}
(string, query, optional)
Sort order
Constraints: {'enum': ['asc', 'desc']}
(string, query, optional)
Field to sort by
(integer, query, optional, default: 0)
Starting index for pagination (0-based)
Constraints: {'minimum': 0}
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Search a domain | openapi-spec |
https://www.ebi.ac.uk/ebisearch/ws/rest/uniprot?query=insulin&size=10&start=0&fields=id,name,description |
|
| Search domain with query for metagenomic experiments | doc_extracted |
https://www.ebi.ac.uk/ebisearch/metagenomics_runs?query=experiment_type:(metagenomic) |
|
| Search within a specific domain | openapi-spec |
https://www.ebi.ac.uk/ebisearch/ws/rest/uniprot?query=insulin |
|
| Search within a specific domain | probe-gate |
https://www.ebi.ac.uk/ebisearch/ws/rest/uniprot?query=insulin&format=json&size=10&start=0 |
|
| Search a domain | openapi-spec |
https://www.ebi.ac.uk/ebisearch/ws/rest/uniprot?query=brca1&size=10&start=0&fields=id,acc,name,description&format=json&facetcount=10&sort=asc&sortfield=id |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 09:38:11.399472 | 200 | 153ms | |
| 2026-03-23 09:33:19.829896 | 400 | 175ms | |
| 2026-03-23 09:29:56.880929 | 200 | 960ms | |
| 2026-03-23 09:07:23.206159 | 200 | 898ms | |
| 2026-03-23 09:00:20.456237 | 200 | 722ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:07:23.206159 | 9c3f19251cc2 |
05ffd47775d8 |
| 2026-03-23 09:29:56.880929 | 05ffd47775d8 |
d164c3e129a9 |
| 2026-03-23 09:33:19.829896 | d164c3e129a9 |
577d8642f3b9 |
| 2026-03-23 09:38:11.399472 | 577d8642f3b9 |
deb62d39aadf |